#
# spec file for package ktorrent
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ktorrent
Version:        4.1.0
Release:        1.5.1
Summary:        KDE BitTorrent Client

License:        GPLv2+ and GPLv3 and LGPLv2 and LGPLv2+ and LGPLv2.1+ and BSD
Url:            http://ktorrent.org/
Group:          Productivity/Networking/File-Sharing
Source0:        http://ktorrent.org/downloads/4.1.0/%{name}-%{version}.tar.bz2
# Mimetype icons
Source1:        icons.tar.bz2
Source2:        ktorrent.1
Source3:        ktupnptest.1
# PATCH-FIX-OPENSUSE remove-links.diff adrian@suse.de -- Remove links to some search engine with maybe legal problems
Patch0:         remove-links.diff
# PATCH-FIX-OPENSUSE suse-dht-warning.diff wstephenson@novell.com -- Warning popup for DHT
Patch1:         suse-dht-warning.diff
# PATCH-FIX-OPENSUSE initial-preference.diff cmorve69@yahoo.es -- InitialPreference to set it as the default torrent downloader
Patch2:         initial-preference.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  libktorrent-devel >= 1.1.0
BuildRequires:  taglib-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
%kde4_pimlibs_requires
%kde4_runtime_requires
Recommends:     %{name}-lang = %{version}
Obsoletes:      ktorrent-devel
# last used in openSUSE 11.4
Provides:       libktcore12 = 4.1.0
Obsoletes:      libktcore12

%description
KTorrent is a bittorrent application for KDE which allows you to download files
using the BitTorrent protocol. It enables you to run multiple torrents at the
same time and comes with extended features to make it a full-featured client
for BitTorrent.

%lang_package
%prep
%setup -q
%patch0
%if ! 0%{?packman_bs}
%patch1
%endif
%patch2
tar jxf %{SOURCE1}

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
cd ..

# Not needed, fix "devel-file-in-non-devel-package" rpmlint warning
rm -f %{buildroot}%{_kde4_libdir}/libktcore.so

# Fix wrong-icon-size
convert -scale 22x22! %{buildroot}%{_kde4_iconsdir}/hicolor/22x22/actions/kt-encrypted.png %{buildroot}%{_kde4_iconsdir}/hicolor/22x22/actions/kt-encrypted.png

# Add man pages from help2man edited.
mkdir -p %{buildroot}%{_mandir}/man1
cp %{S:2} %{buildroot}%{_mandir}/man1
cp %{S:3} %{buildroot}%{_mandir}/man1

# Fix any .py files with shebangs and wrong permissions.
if test -z `find %{buildroot} -name *.py -perm 0644 -print0|xargs -0r grep -l '#!'`; \
then break;
else chmod -f 0755 `find %{buildroot} -name *.py -perm 0644 -print0|xargs -0r grep -l '#!'`; \
fi

%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Qt KDE Network P2P
%endif

# Remove unneeded locales
%if 0%{?suse_version} < 1140
rm -rf %{buildroot}%{_datadir}/locale/ast/
rm -rf %{buildroot}%{_datadir}/locale/hne/
rm -rf %{buildroot}%{_datadir}/locale/sr@ijekavian/
rm -rf %{buildroot}%{_datadir}/locale/sr@ijekavianlatin/
%endif

%fdupes -s %{buildroot}

%find_lang %{name}

%kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog RoadMap
%{_kde4_bindir}/ktmagnetdownloader
%{_kde4_bindir}/ktorrent
%{_kde4_bindir}/ktupnptest
%{_kde4_modulesdir}/kio_magnet.so
%{_kde4_modulesdir}/ktbwschedulerplugin.so
%{_kde4_modulesdir}/ktdownloadorderplugin.so
%{_kde4_modulesdir}/ktinfowidgetplugin.so
%{_kde4_modulesdir}/ktipfilterplugin.so
%{_kde4_modulesdir}/ktlogviewerplugin.so
%{_kde4_modulesdir}/ktmagnetgeneratorplugin.so
%{_kde4_modulesdir}/ktmediaplayerplugin.so
%{_kde4_modulesdir}/ktscanfolderplugin.so
%{_kde4_modulesdir}/ktscriptingplugin.so
%{_kde4_modulesdir}/ktsearchplugin.so
%{_kde4_modulesdir}/ktshutdownplugin.so
%{_kde4_modulesdir}/ktstatsplugin.so
%{_kde4_modulesdir}/ktsyndicationplugin.so
%{_kde4_modulesdir}/ktupnpplugin.so
%{_kde4_modulesdir}/ktwebinterfaceplugin.so
%{_kde4_modulesdir}/ktzeroconfplugin.so
%{_kde4_modulesdir}/plasma_applet_ktorrent.so
%{_kde4_modulesdir}/plasma_engine_ktorrent.so
%{_kde4_libdir}/libktcore.so.*
%{_kde4_applicationsdir}/ktorrent.desktop
%doc %{_kde4_htmldir}/en/ktorrent/
%{_kde4_iconsdir}/*/*/actions/kt-add-feeds.*
%{_kde4_iconsdir}/*/*/actions/kt-add-filters.*
%{_kde4_iconsdir}/*/*/actions/kt-bandwidth-scheduler.*
%{_kde4_iconsdir}/*/*/actions/kt-change-tracker.*
%{_kde4_iconsdir}/*/*/actions/kt-check-data.*
%{_kde4_iconsdir}/*/*/actions/kt-chunks.*
%{_kde4_iconsdir}/*/*/actions/kt-encrypted.*
%{_kde4_iconsdir}/*/*/actions/kt-info-widget.*
%{_kde4_iconsdir}/*/*/actions/kt-magnet.*
%{_kde4_iconsdir}/*/*/actions/kt-pause.*
%{_kde4_iconsdir}/*/*/actions/kt-plugins.*
%{_kde4_iconsdir}/*/*/actions/kt-queue-manager.*
%{_kde4_iconsdir}/*/*/actions/kt-remove-feeds.*
%{_kde4_iconsdir}/*/*/actions/kt-remove-filters.*
%{_kde4_iconsdir}/*/*/actions/kt-remove.*
%{_kde4_iconsdir}/*/*/actions/kt-restore-defaults.*
%{_kde4_iconsdir}/*/*/actions/kt-set-max-download-speed.*
%{_kde4_iconsdir}/*/*/actions/kt-set-max-upload-speed.*
%{_kde4_iconsdir}/*/*/actions/kt-show-hide.*
%{_kde4_iconsdir}/*/*/actions/kt-show-statusbar.*
%{_kde4_iconsdir}/*/*/actions/kt-speed-limits.*
%{_kde4_iconsdir}/*/*/actions/kt-start-all.*
%{_kde4_iconsdir}/*/*/actions/kt-start.*
%{_kde4_iconsdir}/*/*/actions/kt-stop-all.*
%{_kde4_iconsdir}/*/*/actions/kt-stop.*
%{_kde4_iconsdir}/*/*/actions/kt-upnp.*
%{_kde4_iconsdir}/*/*/apps/ktorrent.*
%{_kde4_iconsdir}/*/*/mimetypes/torrent.*
%{_kde4_appsdir}/ktorrent/
%{_kde4_sharedir}/config.kcfg/magnetsettings.kcfg
%{_kde4_servicesdir}/ktbwschedulerplugin.desktop
%{_kde4_servicesdir}/ktdownloadorderplugin.desktop
%{_kde4_servicesdir}/ktinfowidgetplugin.desktop
%{_kde4_servicesdir}/ktipfilterplugin.desktop
%{_kde4_servicesdir}/ktlogviewerplugin.desktop
%{_kde4_servicesdir}/ktmagnetgeneratorplugin.desktop
%{_kde4_servicesdir}/ktmediaplayerplugin.desktop
%{_kde4_servicesdir}/ktscanfolderplugin.desktop
%{_kde4_servicesdir}/ktscriptingplugin.desktop
%{_kde4_servicesdir}/ktsearchplugin.desktop
%{_kde4_servicesdir}/ktshutdownplugin.desktop
%{_kde4_servicesdir}/ktstatsplugin.desktop
%{_kde4_servicesdir}/ktsyndicationplugin.desktop
%{_kde4_servicesdir}/ktupnpplugin.desktop
%{_kde4_servicesdir}/ktwebinterfaceplugin.desktop
%{_kde4_servicesdir}/ktzeroconfplugin.desktop
%{_kde4_servicesdir}/magnet.protocol
%{_kde4_servicesdir}/plasma-applet-ktorrent.desktop
%{_kde4_servicesdir}/plasma-dataengine-ktorrent.desktop
%{_kde4_servicetypesdir}/ktorrentplugin.desktop
%doc %{_mandir}/man1/*

%files lang -f %{name}.lang
%defattr(-,root,root,-)
%exclude %{_kde4_htmldir}/en/ktorrent/

%changelog
* Fri Jun  3 2011 dmueller@suse.de
- need to add provides libktcore12 to not break update
* Wed Mar 16 2011 asterios.dramis@gmail.com
- Update to 4.1.0:
  * Check if source files are missing before moving them (bko#265607)
  * Fix scanextender showing when they are not supposed to (bko#259483)
  * Fix mediaplayer unable to stop in buffering mode when streaming
    (bko#266100)
  * KDE 4.4 compatibility fix in search plugin
  * Make sure overwrite is possible for the torrent copy file feature
  * Fix critical Qt warning when opening context menu in view
- Spec file updates:
  * Removed Authors: from %%description (requirement for Factory submissions).
  * Removed ktorrent-devel and libktcore12 subpackages and merged it in the
    main package since the package doesn't actually provides any shared
    libraries. Because of this also removed libktcore.so to fix rpmlint warning
    "devel-file-in-non-devel-package".
  * Minor update in %%files section.
- Rebased "initial-preference.diff" patch to apply cleanly.
* Thu Mar 10 2011 coolo@novell.com
- buildrequire a specific libktorrent
* Sat Feb 26 2011 coolo@novell.com
- switch back to recommending -lang package
* Sat Feb 26 2011 asterios.dramis@gmail.com
- Update to 4.0.99rc1 (4.1rc1):
  * Make sure that apply button of config dialog is enabled properly when the
    group changes in the scanfolder settings
  * Add kio-magnet
  * Improve performance of ktorrent in situations where there are many torrent
    (262571)
  * Fix memory leak on exit (263802)
  * Fix tab bar not matching TabBarWidget state in some circumstances (263068)
  * Fix libktorrent not gettting updated when the download of a magnet link
    finishes and the FileSelectDlg is shown
  * Update view tab when switching to it, fixes data scan widget showing in the
    wrong place (259483)
  * Update view captions every GUI update (264215)
  * Use user modified path for file column in chunks view (264814)
  * Fix QM bug causing torrents to get started when it is not needed (262570)
- Spec file updates:
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Changed License: to GPLv2+ and GPLv3 and LGPLv2 and LGPLv2+ and LGPLv2.1+
    and BSD.
  * Updates in Url: and %%description.
  * Added description for the patches based on openSUSE Patches Guidelines.
  * Updates in Buildrequires:, Requires:, %%build, %%install and %%files sections.
  * Use Suggests: and not Recommends: for lang package.
  * Removed %%pre and %%post /sbin/ldconfig section for main package (not
    needed).
  * Moved the english help files in the main package.
- Removed ktorrent icons from icons.tar.bz2 (they are provided by the package).
- Fixed rpmlint warning ("wrong-icon-size").
* Mon Feb  7 2011 coolo@novell.com
- fix file list
* Fri Jan  7 2011 ctrippe@gmx.net
- Fix version number (bnc#662786)
* Mon Jan  3 2011 davejplater@gmail.com
- Update to ktorrent-1.0.80 (1.1beta1) fix kde #(261679) crash with
  rss syndication plugin.
- Added "Requires libktcore12 = version-release to ensure the
  correct libktcore12 is upgraded.
- Upstream changes :
- * Video streaming support
  * Superseeding support
  * Data file moves are now tracked in the GUI
  * The GUI has been redesigned and now makes proper use of KDE's
    KParts technologie
  * The search plugin now uses webkit
  * Exclusion patterns have been added to the syndication plugin
    filters
  * And many other smaller changes. For a full overview of all the
    changes, take a look in the ChangeLog's of libktorrent and
    ktorrent.
* Tue Dec 21 2010 davejplater@gmail.com
- Used kde macros in the files section and added man pages -
  ktupnptest.1 and ktorrent.1 generated by help2man.
* Fri Dec 17 2010 davejplater@gmail.com
- Split off libktcore.so.12 into sub package libktcore12.
- Update to 4.0.4.60git20101217 to fix crash #(kde#260338).
- Removed new_kde_powermanagement.diff, incorporated upstream.
- Upstream changes :
  * Make it possible to add TorrentFileStream from the dbus interface
  and also provide a dbus interface for this TorrentFileStream.
  * Improve perfor.ance of View
  * Remove unnecessary call to setEmitDownloadStatusChanged in
  FileSelectDlg.
  * Use QVector instead of in WebSeedsModel.
  * Add do not ask again option to dialog shown when torrent file is
  downloaded in the search plugin.
  * Support data check queueing feature of libktorrent.
  * Fix bug causing user modified filename not be shown for single
  file torrents.
  * Ensure that lastSaveDir is saved to the config.
  * Make sure ktorrent compiles and works with new solid
  powermanagement api introduced in KDE 4.6beta2.
  * Fix bug with properties extender not setting uniform row heights
  to false when it is shown.
  * Add option to rename single file torrents to the file inside.
  * Add patch from Duns Ens which adds a dbus call to remove the
  TorrentFileStream in DBusTorrent.
  * Fix bug causing the wrong path to be opened when opening a
  nested directory in a multifile torrent.
* Thu Dec  9 2010 tittiatcoke@gmail.com
- Included patch to build against the new powermanagement
  (KDE 4.6)
* Tue Nov 30 2010 davejplater@gmail.com
- Update to 4.0.4.60git20101130 to fix crash #(kde#258078)
- Upstream changes :
  * Make homepage display properly with webkit
  * Rename HomePage to WebView and remove HTMLPart
  * Make search form in homepage work again
  * Make sure that webkit requests to open new windows results in
  new tabs being opened
  * Saving links and images to disk now works
  * Handle unsupported content by saving it to disk
  * Make sure that the home page ends up in the browsing history of
  a search.
  * Update ChangeLog
  * Merge branch 'webkit'
  * SVN_SILENT made messages (.desktop file)
* Tue Nov 23 2010 tittiatcoke@gmail.com
- Fix the filelist for the languages
* Mon Nov 22 2010 tittiatcoke@gmail.com
- Update to the latest git snapshot in order to enable building
  for KDE 4.6 Beta 1.
* Mon Oct 18 2010 tittiatcoke@gmail.com
- update to 4.0.4
  * fixes several minor things, and improves the performance when
    there are many torrents
* Tue Sep 28 2010 aj@suse.de
- Recommend instead of require lang-package.
* Mon Aug 30 2010 tittiatcoke@gmail.com
- update to 4.0.3
  * Several crashes have been fixed, and some minor bugs were fixed
  * KDE progress dialogs are now shown when moving files
  * 2 digits of precision are now used when displaying sizes and
    speed.
* Fri Jul  9 2010 beineri@opensuse.org
- update to 4.0.2
  * Fix wrong X-KDE-PluginInfo-Name in ktzeroconfplugin.desktop
  * Fix crash caused by 0 pointer in webinterface plugin
  * Increase auto update retry interval of ipfilter plugin to 15 min
  * Fix bug causing groups file to grow very large over time
* Sun Jun 27 2010 tittiatcoke@gmail.com
- update to 4.0.1
  * bugfix release
  * Several crashes have been fixed, as well as a problem which
    caused a lot of disk activity when downloading at high speed
    on certain filesystems.
  * Authentication can now be disabled in the webinterface
    (use with care obviously)
  * A new plugin to generate magnet URI's from torrents was added
  * Events like hibernating and the network going down for some time,
    are now handled in a better way.
* Sat Jun 26 2010 cmorve69@yahoo.es
- Add InitialPreference to set it as the default torrent downloader
* Sun Feb  7 2010 tittiatcoke@gmail.com
- update to 3.3.4
  * Bugfix release
    + this fixes a couple of crashes,
    + a sorting bug in the choker (which should improve seeding a lot)
    + a problem where the global max share ratio and seed time
    could override group settings.
* Sun Jan 17 2010 tittiatcoke@gmail.com
- update to 3.3.3
  - Fix crash caused by 0 pointer in Downloader::saveDownloads (bko#219019)
  - Don't remove torrent when jobs are running, wait until they are done,
    this fixes a crash (bko#218853)
  - Disable editing of items in ActivityListModel (bko#219355)
  - Make sure checks for ftello and fseeko are done, fixes a problem with
    large file sizes on BSD (bko#217523)
  - Make sure reannounce timer in UDPTracker is always stopped in the stop call (bko#219663)
  - Fix broken FilterListModel::removeFilter fixes a crash (bko#219760)
  - Revamp adding trackers to TrackerListModel, should fix a crash (bko#218738)
  - Don't allow nested event loops when iterating over the incomplete url
    list in scanfolder plugin, fixes a crash (bko#219885)
  - Fix crash due to uncaught exception in TorrentFileTreeModel::loadExpandedState
  - Fix bug causing error message that the QM limits are reached to be shown
    instead of a torrent to be enqueued (bko#220171)
  - Fix crash caused by not checking for 0 pointer (bko#221333)
  - Fix crashes when DHT socket could not be bound (bko#221872)
  - Fix bug causing files to be created which are to big in some rare
    circumstances (bko#222036)
  - Fix bug causing wrong location hint to be used when no default save location
    is selected (bko#222783)
* Fri Dec 18 2009 tittiatcoke@gmail.com
- update to 3.3.2
  several crash fixes (bko#216207, bko#216683)
* Wed Nov 25 2009 wstephenson@novell.com
- Re-enable DHT following legal advice, with warning popup
* Wed Nov 25 2009 beineri@opensuse.org
- update to 3.3.1: several crash and memory leaks fixes. Bandwidth
  schedulers user interaction has been improved, and some other
  minor issues have also been fixed.
* Thu Nov 12 2009 tittiatcoke@gmail.com
- update to 3.3
  * Newly designed user interface
  * Plugins have full window themselves
  * New shutdown plugin, that allows you to shutdown, sleep or hibernate
    when one or more torrents have finished seeding/downloading
  * Mediaplayer plugin has it's own activity and gains a playlist widget
  * File selection dialog now shows if existing files are found
  * Queue Manager behaviour has been changed significantly and you can
    disable it completely
  * see http://ktorrent.org/?q=node/35 or the Changelog
* Wed Oct 28 2009 beineri@opensuse.org
- update to 3.2.5:
  * Fix crash caused by dangling pointer to already destroyed view
  * Backport tracker timeout fix from trunk
* Thu Sep 24 2009 beineri@opensuse.org
- update to 3.2.4:
  * Improve flexibility of IP blocklist parsing to support more formats
  * Fix bug in TorrentFileListModel causing wrong state to be shown
  * Fix very rare crash caused by 0 pointer
  * Fix bug causing scheduler to not restart the schedule timer
  * Unset Qt message handler when Log is destroyed
* Thu Aug 20 2009 beineri@opensuse.org
- unify all torrent clients in P2P category
* Wed Aug 12 2009 beineri@opensuse.org
- fix duplicate start menu appearance
* Mon Aug 10 2009 beineri@opensuse.org
- update to 3.2.3: a couple of rare crashes were fixed, global
  shortcuts work again and the plasma applet can now display sizes
  larger then 4GB properly
* Tue Jun  2 2009 beineri@opensuse.org
- update to 3.2.2: several crashes have been fixed, the plasma
  applet has seen some improvements and can now be placed in the
  panel, and the configuration dialog can be made small enough to
  be useful on small screens.
* Mon Apr 20 2009 dmueller@suse.de
- build for older distros again
* Fri Apr 17 2009 dmueller@suse.de
- remove extra filelist entries since hne has been added
  to filesystem rpm
* Mon Apr  6 2009 mrdocs@opensuse.org
- Bump version to 3.2.1
- Webseeding has been improved considerably
- Port switching no longer requires a restart and some minor
  additions to the scripting API.
* Tue Feb 17 2009 stbinner@suse.de
- update to 3.2: several bugfixes since release candidate
* Mon Feb  2 2009 stbinner@suse.de
- update to 3.2 RC1:
  * Several memory leaks have been fixed
  * CPU usage has been reduced
  * The queue manager has been revamped
  * Fixed a bug causing download speed to get stuck at 128 KB/s
    with small chunks
  * Moving files when the torrents is complete, now happens after
    the data check when the torrent is complete
  * The webgui has been revamped, PHP is ditched in favor of a
    HTML and AJAX approach
* Sat Jan 17 2009 coolo@suse.de
- apply trunk.diff to compile with plasma from 4.2
* Mon Jan 12 2009 dmueller@suse.de
- update to 3.2 (beta1):
  * Kross based scripting plugin
  * Syndication plugin supporting RSS and Atom feeds
  * Plugin to control the file download order of a multifile torrent
  * Redesign of chunk memory management, resulting in a
    significant decrease in memory usage
  * Plasma applet to monitor torrents on your desktop
  * Performance improvements when handling torrents with a lot of
    files
  * Many smaller features
* Fri Nov 28 2008 wstephenson@suse.de
- Reinstate geoIP database since license issues resolved
  (bnc#188562)
* Sun Nov 16 2008 stbinner@suse.de
- update to version 3.1.5:
  * Make sure symlinks work when we create multifile torrents
  * Fix redirect loop when torrent is loaded via url in webgui
  * Fix infinite recursive loop in scanfolder plugin
  * Fix crash in treeviews caused by Qt bug
  * Prevent error messages when KT is started up via desktop file
  * Use multiple tiers when creating torrents with multiple trackers
  * Make sure stalled time is updated properly before resuming queue
  * Prevent QM from starting torrents which are being removed
  * Fix bug preventing max seed time to be set on newly opened torrents
  * Fix bug causing torrent to be started when user chooses not to
    start the torrent in the fileselectdlg
* Thu Oct 30 2008 stbinner@suse.de
- fix error message appeared when ktorrent is launched (bnc#437840)
* Mon Oct 20 2008 stbinner@suse.de
- update to version 3.1.4:
  * Make sure user is properly logged in when handling a torrent
    post in webgui
  * Prevent PHP injection attacks in webgui
  * Update file size in CacheFile::growFile, this fixes a SIGBUS error
  * Fix bug causing infinite DNS lookups in UDP tracker when lookup fails
  * Remove default label text KSqueezedTextLabel in trackerview
* Tue Sep 30 2008 stbinner@suse.de
- update to version 3.1.3:
  * Make login into webinterface secure
  * Check if menus are created properly before showing them
  * Stop KT from exiting when scanfolder loads a plugin silently and
    KT is hidden in systray.
  * Make sure duplicate URL's are not shown in trackerview
  * Fix problem causing file priorities not to be read at startup
  * Make sure added.f is filled in with the proper flags for each
    peer in the added field of a PEX message (169014)
  * Make sure it is not required to put http:// for the proxy in
    the config dialog (169133)
  * Fix bug causing webseed not to download last chunk of a request
  * Fix bug which resulted in speeds of webseed not getting calculated
  * Fix rename of groups when edit is not initialized via context menu
  * Make toolbars hideable
  * Make sure that files can not be moved to the location they are
    already in
  * Don't start torrents at startup when a torrent is user controlled
    and over limit
  * Fix crash in logging code due to 0 pointer
  * Remove bitoogle from default search engine list
* Mon Aug 18 2008 schwab@suse.de
- Fix use of function address.
- Fix proxy setting.
* Sun Aug 17 2008 stbinner@suse.de
- update to version 3.1.2: the most notable fixes are a problem
  which can cause a lot of memory usage, several crashes, and a
  bug in the file deselection code. The performance of the GUI
  and the downloading code has also been improved.
* Mon Jul 14 2008 stbinner@suse.de
- update to version 3.1.1: several minor bugfixes
* Mon Jun 16 2008 stbinner@suse.de
- update to version 3.1:
  * HTTP webseeding
  * A mediaplayer plugin, supporting audio and video
  * Preview sizes can now be configured
  * A location column has been added in the main view
  * Assured download and upload speeds per torrent
  * Group policies, set default speed limits, max seed time, max
    ratio and default download location for all torrents of group
  * A feature to suppress sleep when torrents are running
  * A redesigned tracker tab, now also showing how many times a
    torrent was downloaded
  * Trackers can now be disabled or enabled
* Sat Jun 14 2008 schwab@suse.de
- Fix creation of dnd files.
* Fri May 16 2008 aj@suse.de
- Add missing new line to spec file.
* Thu May 15 2008 dmueller@suse.de
- fix largefile support (bnc#386475)
- add missing runtime dependencies, remove deprected macro
* Fri Apr 25 2008 stbinner@suse.de
- update to 3.0.2: several crash and other bug fixes
* Tue Mar 25 2008 stbinner@suse.de
- update to 3.0.1: long list of minor and less minor bugfixes
* Tue Feb 19 2008 stbinner@suse.de
- fix build
* Tue Feb 19 2008 stbinner@suse.de
- update to 3.0, the first KDE4-based release
* Sun Jan 27 2008 stbinner@suse.de
- update to 2.2.5, several minor bug fixes
* Thu Nov 22 2007 stbinner@suse.de
- update to 2.2.4, fixes a major fileview crash in 2.2.3
* Wed Nov 21 2007 stbinner@suse.de
- update to 2.2.3, third bugfix release for version 2.2
* Thu Oct 11 2007 stbinner@suse.de
- hide non-funtioncal DHT preference groupbox (#332221)
* Wed Sep 26 2007 stbinner@suse.de
- update to 2.2.2, second bugfix release for version 2.2
* Sun Aug 19 2007 stbinner@suse.de
- fix build on 10.0
* Tue Aug 14 2007 stbinner@suse.de
- add improved Hungarian translation (#295663)
* Tue Jul 24 2007 bvirlet@suse.de
- update to 2.2.1
  * Fix file selection bug
  * Fix several webgui bugs
  * Make sure plugin list is sorted on the plugin name
  * Fix bug with UPnP plugin not releasing ports when KT is shutdown
* Wed Jul  4 2007 stbinner@suse.de
- update to final 2.2 release
* Thu Jun 21 2007 stbinner@suse.de
- run fdupes and kde_post_install, fix invalid .desktop file
* Sun Jun 17 2007 stbinner@suse.de
- update to 2.2rc1:
  * Improved and more consistant GUI
  * Possibility to open as many views as needed. By default you now
    get a downloads and uploads tab
  * Improved search plugin with possibility to open multiple search tabs
  * Option to fully preallocate diskspace to avoid fragmentation
  * Option to move finished downloads to a different directory
  * Progress bar in status bar when searching
  * Redesigned file selection dialog
  * Option to copy torrent files to user specified directory
  * Speed limits for individual torrents
  * Diskspace monitoring, with option to stop torrents when diskspace
    is running low
  * Improved system tray popup
  * Autorotation of the log file when it gets larger then 10 MB
  * Import dialog is now network transparent for the torrent file
  * Statistics plugin which was developed by Krzysztof Kundzicz
* Mon Jun  4 2007 stbinner@suse.de
- fix build on older distributions
* Sun May 20 2007 stbinner@suse.de
- fix package requires
* Mon May 14 2007 coolo@suse.de
- split translations into special package
* Tue Apr 24 2007 stbinner@suse.de
- update to 2.1.4:
  * Fixed crash in parsing of DHT messages
  * Fixed problem with files with .. in their name
  * ScanFolder can now handle incomplete torrent files properly
* Tue Apr  3 2007 dmueller@suse.de
- update to 2.1.3:
  * really fix file overwriting vulnerability
  * crash fix
* Sat Mar 10 2007 dmueller@suse.de
- update to 2.1.2:
  * file overwriting vulnerability
  * chunk id overflow vulnerability
* Tue Mar  6 2007 stbinner@suse.de
- update to version 2.1.1:
  * Rewrite of webserver
  * New webgui : coldmilk
  * Networking thread has been split up in 2 threads, one for
    upload, one for download
  * Significant speed improvements when downloading over a LAN
* Fri Feb  9 2007 stbinner@suse.de
- port and re-enable patch 16
* Mon Feb  5 2007 stbinner@suse.de
- update to version 2.1 release
* Thu Jan  4 2007 stbinner@suse.de
- update to version 2.1rc1:
  * Peer Exchange (µTorrent compatible)
  * Zeroconf plugin
* Sat Nov 25 2006 wstephenson@suse.de
- update to version 2.1beta1
  * Switched the GUI to an IDEAl style GUI (like KDevelop)
  * WebGUI plugin
  * RSS plugin
  * Improvements in down and upload performance
  * Grouping feature to put torrents into groups
  * Improved search plugin, which now allows multiple searches
  * Many bug fixes
* Tue Oct 17 2006 dmueller@suse.de
- remove geoIP database due to license issues (#188562)
* Mon Oct 16 2006 dmueller@suse.de
- fix build on PPC
* Tue Oct 10 2006 stbinner@suse.de
- update to version 2.0.3
  - fixes some download speed issues
  - fixes several other minor bugs
* Wed Aug 30 2006 stbinner@suse.de
- update to version 2.0.2
  - fixes a data corruption bug
  - should get the downloading working properly again
* Mon Aug 21 2006 stbinner@suse.de
- update to version 2.0.1
  - fixes several bugs
  - features some performance improvements
* Wed Aug  9 2006 stbinner@suse.de
- update to version 2.0 (no changelog provided)
  - bugfixes
  - translation updates
* Wed Jul 19 2006 stbinner@suse.de
- update to version 2.0rc1
  * bugfixes and polishing
* Tue Jun  6 2006 stbinner@suse.de
- don't install with kdelibs conflicting x-bittorrent.desktop
* Tue May 23 2006 adrian@suse.de
- update to version 2.0beta1
  * Speed improvements
  * Protocol encryption
  * Bandwith scheduling
  * File prioritization for multifile torrents
  * Directory scanner for torrent files
  * Many bug fixes
- disable experimental DHT for now
* Sun Apr 16 2006 dkukawka@suse.de
- updated/added upstream commited changes:
  - ktorrent-fix-german-translation.diff: updated german
    translation file
  - ktorrent-fix-i18n-strings.diff: fixed typo in i18n string and
    merged back to translations
* Tue Mar  7 2006 dkukawka@suse.de
- fixed some strings in german translation (related to bug #154683
  and upstram changes)
* Thu Mar  2 2006 dkukawka@suse.de
- fixed german translation for the plugin settings
* Tue Feb  7 2006 ro@suse.de
- fix build for < 10.1
* Wed Feb  1 2006 stbinner@suse.de
- update to 1.2 final
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 stbinner@suse.de
- update to 1.2rc2
* Mon Jan 16 2006 dmueller@suse.de
- use -fstack-protector
* Thu Jan  5 2006 dkukawka@suse.de
- added patches:
  - ktorrent-fix-columns.diff (Added focus to all collums in the
    ListView objects)
  - ktorrent-fix-columns_save_restore_ktorrentview.diff (fix store
    columns settings and enable change wide of columns)
  - ktorrent-fix-KBytesPerSecToString.diff
  - ktorrent-fix-keep_seeding.diff (fixed torrentFinished to
    respect "Keep seeding after download has finished")
  - ktorrent-fix-remove-unneeded.diff (removed unneeded code)
  - ktorrent-fix-compiler_warning.diff
* Mon Jan  2 2006 stbinner@suse.de
- update to 1.2rc1 (#135481)
* Thu Oct 13 2005 dmueller@suse.de
- update to BRANCH
* Tue Oct 11 2005 dmueller@suse.de
- update 1.1 final
* Wed Sep  7 2005 adrian@suse.de
- remove links to some search engine with maybe legal problems
* Tue Sep  6 2005 dmueller@suse.de
- update 1.1rc1 (#104905)
* Fri Aug  5 2005 adrian@suse.de
- fix build for released non-PLUS distributions
* Fri Jul 22 2005 adrian@suse.de
- fix file list
* Fri Jul 22 2005 adrian@suse.de
- create initial package of version 1.0
